=== debian/control ===
Source: ros-rolling-diff-drive-controller
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-nav-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets, ros-rolling-tf2, ros-rolling-tf2-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-diff-drive-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-interface, ros-rolling-geometry-msgs, ros-rolling-hardware-interface, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-realtime-tools, ros-rolling-tf2, ros-rolling-tf2-msgs, ros-rolling-ros-workspace
Description: Controller for a differential drive mobile base.
